Swoole v4.5.11 版本发布,Bug 修复版本

沈唁

v4.5 作为 LTS 分支,此次发布 v4.5.11 版本合并了在 v4.6.0 版本中修复的 Bug,没有增加新特性,也没有不兼容改动。

下面是完整的更新日志:

增强

  • 优化 Swoole\Table (#3959) (@matyhtf)
  • 增强 CURLOPT_PROXY (swoole/library#87) (@sy-records)

修复

  • 修复 Table 递增和递减时不能清除所有列问题 (#3956) (@matyhtf) (@sy-records)
  • 修复编译时产生的clock_id_t错误 (49fea171) (@matyhtf)
  • 修复 fread bugs (#3972) (@matyhtf)
  • 修复 ssl 多线程 crash (7ee2c1a0) (@matyhtf)
  • 兼容 uri 格式错误导致报错 Invalid argument supplied for foreach (swoole/library#80) (@sy-records)
  • 修复 trigger_error 参数错误 (swoole/library#86) (@sy-records)

阅读 400

Swoole
PHP的协程框架
avatar
沈唁
Swoole & Hyperf & Docsify 开发组成员
1.6k 声望
545 粉丝
0 条评论
你知道吗?

avatar
沈唁
Swoole & Hyperf & Docsify 开发组成员
1.6k 声望
545 粉丝
宣传栏